<div class="downloads-container">
  <div class="restricted-access-container" *ngIf="isSample">
    <app-restricted-access-banner></app-restricted-access-banner>
  </div>
  <div class="downloads" [ngClass]="{'blury': cguModalIsOpened}">
    <div class="resources-downloadable" *ngIf="hasDownloadableResources || hasStaticResources">
      <div *ngIf="downloadableResources">
        <div class="resource-download" *ngFor="let downloadable of downloadableResources | keyvalue" >
          <div class="resource-description">
            <span>{{downloadable.key}}</span>
          </div>
          <div class="resource-downloadable-files" *ngFor="let resource of downloadable.value">
            <div class="resource-download-item-wrapper" *ngFor="let format of resource.formats; let i=index">
              <app-resource-download-item [dataset]="dataset"
              [format]="format" [resource]="resource" [projections]="projections"
                [isQueryable]="true">
              </app-resource-download-item>
            </div>
          </div>
        </div>
      </div>

      <div *ngIf="hasStaticResources">
        <div class="resource-static" *ngFor="let static of staticResources">
          <div class="resource-description">
            <span>{{static.name}}</span><br>

            <span class="link_description" *ngIf="static.description && static.description.length>0 && static.description!=static.name">{{static.description}}</span>
          </div>
          <div class="resource-static-files">
            <app-resource-download-item [link]="static" [isQueryable]="false">
            </app-resource-download-item>
          </div>
        </div>
      </div>
    </div>


    <div class="resources-downloadable" *ngIf="hasOtherResources && !hasDownloadableResources && !hasStaticResources">

      <div class="resource-download">
        <div class="resource-description">
          <span i18n="@@dataset.detail.resources">Resources</span>
        </div>
        <ng-template [ngTemplateOutlet]="other_ressources"></ng-template>
      </div>
    </div>

    <div class="resources-other" *ngIf="hasOtherResources && (hasDownloadableResources || hasStaticResources)">
      <div class="resource-header">
        <span class="resource-header-title" i18n="@@dataset.resources.other.title"> Downloadable Resources </span>
      </div>
      <ng-template [ngTemplateOutlet]="other_ressources"></ng-template>
    </div>
  </div>
  <!-- 
  <app-cgu-modal (cguAccepted)="cguAccepted()"></app-cgu-modal>
  -->
</div>

<ng-template #other_ressources>
  <ng-container *ngIf="otherResources">
    <div class="resource-other" *ngFor="let other of otherResources">
      <div class="resource-other-title" *ngIf="other.name !== 'null' ">
        <span>{{ other.name }}</span>
      </div>
      <div class="resource-other-link">
        <a [href]="other.url" target="_blank" title="ouvrir le lien dans un nouvel onglet" i18n-title="@@dataset.resources.other.linktitle">{{ other.url }}</a>
      </div>
    </div>
  </ng-container>
</ng-template>
